Subject: Re: SSHD problems on Windows 2000 Professional
From: Corinna Vinschen <[email-masked]>
To: Wu Yongwei <[email-masked]>
Cc: [email-masked]
Date: Fri, 25 Jan 2002 10:57:39 +0100

On Fri, Jan 25, 2002 at 04:10:24PM +0800, Wu Yongwei wrote:
> I am running the latest version (as of minutes ago) of Cygwin and
> encountered problems of SSHD. I did not found answer in latest posts.
> 
> I used ssh-host-config to set up sshd. I installed sshd as service and used
> the default "CYGWIN=binmode tty ntsec". While it started perfectly for the
> first time and was completely usable, the service even refused to stop. I
> had to kill sshd.exe in task manager. And then it would not work until the
> next boot.

Starting using cygrunsrv is the recommended way.  Your problems
sound somewhat unrelated to Cygwin sshd.  I'm running sshd all the
time and I'm working through an ssh connection to my Windows boxes
on a daily basis.  All sshds are installed as service via cygrunsrv
under SYSTEM account and all have "CYGWIN=binmode tty ntsec" in
their environment setting.  They are all easily startable and
stopable by e.g. `cygrunsrv -S (-E) sshd' or `net start (stop) sshd'. 

Did you check your passwd and group files, did you check the
ownership of the host key files?

> I tried starting sshd from inetd. It was even worse. When I connected to it
> from a remote box, there was no response at all. And then sshd.exe hung.
> Stopping the service inetd would not stop sshd.exe. I could not even kill
> it. I had to reboot the W2k box.

You have a problem with your W2K box,

> I also tried sshd.exe directly from Cygwin Bash. I would see the prompt for
> password on a remote box when connecting to it, but the password could not
> be accepted. It always reports "Permission denied".

Correct.  Think "NT user rights".

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/